// OthelloCell.java
//
// Informatics 45 Spring 2010
// Code Example: Our Othello Game
//
// In Java, an enumeration, or "enum," represents a set of constant objects
// of some type.  In this case, we're saying "There are three different
// values that each of the cells on our Othello board can take: NONE
// (meaning the cell is empty), BLACK (meaning the cell has a black tile
// in it), or WHITE (meaning the cell has a white tile in it)."
//
// We could represent these using, say, int values, like 0=NONE, 1=BLACK,
// and 2=WHITE.  The problem, though, is that these values in no other way
// behave like integers: we can't reasonably add them, for example.  So,
// we represent these values as their own type, OthelloCell, and that type
// has exactly three possible values: NONE, BLACK, and WHITE.

package inf45.spring2010.examples.othello.game;


public enum OthelloCell
{
	NONE,
	BLACK,
	WHITE
}
